EDIT - bug #7077

INameService.deleteTypeDesignation(TaxonName name, TypeDesignationBase typeDesignation)
should delete the type designation also from Registrations

11/16/2017 01:22 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 4.13

Severity: normal Found in Version:

Description

Registrations have relation to TypeDesignationBase, deleted TypeDesignations should also be removed from there.

Related issues:
Precedes EDIT - task #7636: remove obsolete code which dissociates removed Ty... Closed

Associated revisions

Revision 9b23bbdc - 12/07/2017 09:56 AM - Katja Luther

fix #7077: when delete a typeDesignation, remove it from registration

Revision 6¢782c0a - 02/14/2018 04:06 PM - Andreas Kohlbecker

ref #7077 removing 'hack’ from test after the issue has been fixed

History

#1 - 11/16/2017 01:31 PM - Andreas Miuller

- Subject changed from INameService.delete TypeDesignation(TaxonName name, TypeDesignationBase typeDesignation) should the typeDesignation
also from Registrations to INameService.delete TypeDesignation(TaxonName name, TypeDesignationBase typeDesignation) should delete the type
designation also from Registrations

Can you give a bit more inside what exactly the problem is?

#2 - 11/16/2017 01:32 PM - Andreas Miiller
- Assignee changed from Andreas Muiller to Katja Luther

- Target version changed from Unassigned CDM tickets to Release 4.12

Andreas Muller wrote:

Can you give a bit more inside what exactly the problem is?

Ahh, sorry. You are referring to a service layer call. Than it is probably clear. | pass this to KL.

#3 - 12/05/2017 02:02 PM - Andreas Miuller

- Target version changed from Release 4.12 to Release 4.13

#4 - 12/07/2017 09:56 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|9b23bbdc71dce3aa5ccb2f44b8b33a7afea25049.

#5 - 12/07/2017 09:57 AM - Katja Luther

- Assignee changed from Katja Luther to Andreas Kohlbecker

please review and check whether everything works as expected
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/9b23bbdc71dce3aa5ccb2f44b8b33a7afea25049

#6 - 12/07/2017 10:21 AM - Andreas Kohlbecker

sorry | cant check unless the test setup in cdm-vaadin is working

#7 - 02/14/2018 04:07 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
The tests now runs successful even without the 'hack'

#8 - 08/08/2018 09:03 AM - Andreas Kohlbecker

- Precedes task #7636: remove obsolete code which dissociates removed TypeDesignations from Registrations added
